#ifndef UU_UNPARSE_H
#define UU_UNPARSE_H

#include "uulib/CONF.h"

void uu_unparse_lower(const struct uu *in, char *out);
void uu_unparse_upper(const struct uu *in, char *out);
void uu_unparse(const struct uu *in, char *out);

void uu_unparse_lower4(const struct uu4 *in, char *out);
void uu_unparse_upper4(const struct uu4 *in, char *out);
void uu_unparse4(const struct uu4 *in, char *out);

void uu_unparse_lower6(const struct uu6 *in, char *out);
void uu_unparse_upper6(const struct uu6 *in, char *out);
void uu_unparse6(const struct uu6 *in, char *out);

void uu_unparse_lower7(const struct uu7 *in, char *out);
void uu_unparse_upper7(const struct uu7 *in, char *out);
void uu_unparse7(const struct uu7 *in, char *out);

#endif
/* ex:set ts=2 sw=2 itab=spaces: */
